;-------------------------------------------------------------------------------
; Interrupt vectors
;-------------------------------------------------------------------------------

       .org    0
       jmpf    start           ; far jump to the start of the main program

       .org    $3
       jmp     nop_irq

       .org    $b
       jmp     nop_irq

       .org    $13
       jmp     nop_irq

       .org    $1b
       jmp     t1int

       .org    $23
       jmp     nop_irq

       .org    $2b
       jmp     nop_irq

       .org    $33
       jmp     nop_irq

       .org    $3b
       jmp     nop_irq

       .org    $43
       jmp     nop_irq

       .org    $4b
       clr1    p3int,0
       clr1    p3int,1

nop_irq:
       reti

       .org    $130
t1int:
       push    ie
       clr1    ie,7
       not1    ext,0
       jmpf    t1int
       pop     ie
       reti

       .org    $1f0
goodbye:
       not1    ext,0
       jmpf    goodbye         ; leave game mode
	   